# Class CIM_InSegment
extends CIM_InLogicalNetwork

Defines a LANEndpoint as a member of a specific LANSegment. Note that one of this association's references (LANSegment) is deprecated, as well as its superclass (InLogicalNetwork). Following the same logic as its parent, this association is deprecated to the MemberOfCollection association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_CollectedMSEs
|
+--CIM_InLogicalNetwork
|
+--CIM_InSegment

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_MemberOfCollection
Description | string | Defines a LANEndpoint as a member of a specific LANSegment. Note that one of this association's references (LANSegment) is deprecated, as well as its superclass (InLogicalNetwork). Following the same logic as its parent, this association is deprecated to the MemberOfCollection association.
UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_InSegment | CIM_LANSegment
Member | CIM_InSegment | CIM_LANEndpoint

## Class Methods